
package com.amadeus.travelManagement.amadeus.xml._2010._06.travel_servicelistrq_v1;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * &lt;p&gt;Java class for EncSchemeSimpleType.
 * 
 * &lt;p&gt;The following schema fragment specifies the expected content contained within this class.
 * &lt;pre&gt;
 * &amp;lt;simpleType name="EncSchemeSimpleType"&amp;gt;
 *   &amp;lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&amp;gt;
 *     &amp;lt;enumeration value="Airline"/&amp;gt;
 *     &amp;lt;enumeration value="Filed"/&amp;gt;
 *     &amp;lt;enumeration value="ThirdParty"/&amp;gt;
 *   &amp;lt;/restriction&amp;gt;
 * &amp;lt;/simpleType&amp;gt;
 * &lt;/pre&gt;
 * 
 */
@XmlType(name = "EncSchemeSimpleType")
@XmlEnum
public enum EncSchemeSimpleType {

    @XmlEnumValue("Airline")
    AIRLINE("Airline"),
    @XmlEnumValue("Filed")
    FILED("Filed"),
    @XmlEnumValue("ThirdParty")
    THIRD_PARTY("ThirdParty");
    private final String value;

    EncSchemeSimpleType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static EncSchemeSimpleType fromValue(String v) {
        for (EncSchemeSimpleType c: EncSchemeSimpleType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
